From: rick@helix.nih.gov (Rick Troxel)
Message-Id: <9211091812.AA23481@helix.nih.gov>

Greetings!  Thought I should share with you the last couple of pieces
at this site:

1. Source code for a C wrapper.  There is a site specific pathname...
   I renamed the chkacct script to chkacct.SCRIPT, using the "chkacct"
   name for the compiled wrapper program.  I installed the wrapper
   setgid, with the other files going into a group readable directory.

[..]

Thanks and best wishes!

Rick Troxel                 rick@helix.nih.gov                 301/496-4823
///////////////////////////////////////////////////////////////////////////
     All effort and exertion put forth by man from the fullness of his
     heart is worship, if it  is prompted  by the  highest motives and
     the will to do service to humanity.                 --Abdu'l-Baha

\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
#include <stdio.h>

int
main(int argc, char **argv)
{
  (void) execv("/usr/local/lib/chkacct/chkacct.SCRIPT", argv);
  perror("Could not exec script");
  return argc;
}
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
#	$Id: Makefile,v 1.1 91/12/04 13:43:49 shabby Exp Locker: shabby $
#
#	Makefile for chkacct
#

DESTDIR=	/usr/local/lib
PROG=	chkacct.SCRIPT
BIN=	${DESTDIR}/chkacct
LIB=	${DESTDIR}/chkacct
DOC=	/usr/local/man/man1

INSTALLFLAGSLIB=	-r -D -cm 0444
INSTALLFLAGSBIN=	-r -D -cm 0755

SRCs=	ca.src
M4SRC=	defines.m4
MAN=	chkacct.1l
PERLSRC=	rhosts.pl
OTHER=	README
SRCl=	dotwrite effect.dotwrit effect.owners effect.read effect.rhosts\
	effect.setuid effect.write Intro owners readable rhosts setuid write\
	prompt.help Article effect.groupwrite

SOURCE=	Makefile ${M4SRC} ${OTHER} ${MAN} ${SRCl} ${SRCs} ${PERLSRC}

all: ${SRCl} ${PROG}

${PROG}: ${SRCs}
	m4 ${M4SRC} ${SRCs} > $@
	chmod 755 $@

${M4SRC}:	
	echo "Remember to get a copy of the right m4 file.!";

clean: FRC
	rm -f Makefile.bak ${PROG} a.out core errs lint.out tags

depend: FRC

install: all FRC
	cp ${SRCl} ${LIB}
	cp ${PERLSRC} ${LIB}
	cp ${PROG} ${BIN}
	cp ${MAN} ${DOC}/chkacct.1
#	one time: mv chkacct /usr/local/bin	# C wrapper for ${PRROG}

lint: FRC

mkcat: ${MAN} ${DOC} FRC
	mkcat -r${DOC} ${MAN}

print: source FRC
	lpr -J'${PROG} source' ${SOURCE}

source: ${SOURCE}

spotless: clean
	rcsclean ${SOURCE}

tags: FRC

${SOURCE}:
	co -q $@

FRC:

# DO NOT DELETE THIS LINE - make depend DEPENDS ON IT

# *** Do not add anything here - It will go away. ***
